Cross_compile ISSUE

cancel
Showing results for 
Search instead for 
Did you mean: 

Cross_compile ISSUE

1,047 Views
xiexp
Contributor I

I have the cross_compile is arm-linux-gnueabihf4.7. Now i use for LTIB to cross_compile ubuntu 12.04, now there is two error.

FIRST,when i carry on sudo ./ltib -c,

the error is :

+ make ARCH=arm CROSS_COMPILE= HOSTCC=ccache /usr/bin/gcc -B/usr/bin/ oldconfig

scripts/kconfig/conf --oldconfig Kconfig

#

# configuration written to .config

#

+ [ -f /home/znzx/Desktop/ltib/config/platform/imx/imx6_defconfig.dev ]

+ diff -q ./.config /home/znzx/Desktop/ltib/config/platform/imx/imx6_defconfig.dev

+ [ -n  ]

+ grep -q VERSION = 2 Makefile

+ [ %{kernel_series} = 2.4 ]

+ make ARCH=arm CROSS_COMPILE= HOSTCC=ccache /usr/bin/gcc -B/usr/bin/ uImage

scripts/kconfig/conf --silentoldconfig Kconfig

  CHK     include/linux/version.h

  CHK     include/generated/utsrelease.h

make[1]: `include/generated/mach-types.h' is up to date.

  CC      kernel/bounds.s

arm-linux-gnueabihf-gcc: error: -mfloat-abi=soft and -mfloat-abi=hard may not be used together

make[1]: *** [kernel/bounds.s] Error 1

make: *** [prepare0] Error 2

make: *** Waiting for unfinished jobs....

  CC      scripts/mod/empty.o

arm-linux-gnueabihf-gcc: error: -mfloat-abi=soft and -mfloat-abi=hard may not be used together

make[2]: *** [scripts/mod/empty.o] Error 1

make[1]: *** [scripts/mod] Error 2

make[1]: *** Waiting for unfinished jobs....

make: *** [scripts] Error 2

error: Bad exit status from /home/znzx/Desktop/ltib/tmp/rpm-tmp.39089 (%build)

RPM build errors:

    Bad exit status from /home/znzx/Desktop/ltib/tmp/rpm-tmp.39089 (%build)

Build time for kernel-3.0.35: 10 seconds

Failed building kernel-3.0.35

f_buildrpms() returned an error, exiting

traceback:

main:572

Started: Fri Apr 17 14:54:31 2015

Ended:   Fri Apr 17 14:55:25 2015

Elapsed: 54 seconds

These packages failed to build:

kernel-3.0.35

Build Failed

when i cross_compile without build uboot and kernel .

there is another error:

+ [ -n  ]

+ [ -f /home/znzx/Desktop/ltib/config/.config ]

+ cat /home/znzx/Desktop/ltib/config/.config

+ perl -ne print if m,^CONFIG_(?!PCF),

+ [ ! -f config/platform/imx/.config -a -f config/platform/imx/defconfig ]

+ [ -n  ]

+ cd config/platform/imx

+ mconf main.lkc .config

*** End of configuration.

*** Check the top-level Makefile for additional configuration options.

+ cp .config defconfig.dev

Processing platform: Freescale iMX6x Based Boards

===================================================

using config/platform/imx/.config

Processing: fake-provides

===========================

Processing: skell

===================

Processing: base_libs

=======================

sudo /opt/freescale/ltib/usr/bin/rpm --root /home/znzx/Desktop/ltib/rootfs --dbpath /var/lib/rpm -e --allmatches --nodeps --define '_tmppath /tmp/ltib' base_libs 2>/dev/null

sudo /opt/freescale/ltib/usr/bin/rpm --root /home/znzx/Desktop/ltib/rootfs --dbpath /var/lib/rpm --prefix / --ignorearch -ivh --force --excludedocs --define '_tmppath /tmp/ltib' /home/znzx/Desktop/ltib/rpm/RPMS/arm/base_libs-1.2-1.arm.rpm

error: failed dependencies:

    ld-linux.so.3(GLIBC_2.4)   is needed by base_libs-1.2-1

f_buildrpms() returned an error, exiting

traceback:

main:572

Started: Fri Apr 17 14:56:45 2015

Ended:   Fri Apr 17 14:56:59 2015

Elapsed: 14 seconds

Build Failed

Exiting on error or interrupt

znzx@ubuntu:~/Desktop/ltib$

someone can give some suggests?

Labels (1)
0 Kudos
5 Replies

132 Views
jimmychan
NXP TechSupport
NXP TechSupport

according to the error message: "arm-linux-gnueabihf-gcc: error: -mfloat-abi=soft and -mfloat-abi=hard may not be used together"

You are using both 'soft' and 'hard' floating point setting.

So you may use "-mfloat-abi=hard" only in the LTIB configuration. By default, the toolchain is using gcc-4.6.2. If you use a different compiler, you may need a new toolchain.

0 Kudos

132 Views
xiexp
Contributor I

i get a new toolchain where is gcchf-4.7.while carry on the ./ltib -c ,it occur a problem like the arm-linux-gnueabihf-gcc: error: -mfloat-abi=soft and -mfloat-abi=hard may not be used togethe.

when i compile without kernel ,the promble whichi is ld-linux.so.3(GLIBC_2.4)   is needed by base_libs-1.2-1

0 Kudos

132 Views
jimmychan
NXP TechSupport
NXP TechSupport

Have you try -distclean first? or remove everything in rpm/BUILD/ ?

I tried to use the default toolchain gcc-4.6.2 with -mfloat-abi=hard. The build is fine without error.

0 Kudos

132 Views
xiexp
Contributor I

yeah,when i follow the instruction without error, while when i instead of the compile ,the error is coming.

0 Kudos

132 Views
xiexp
Contributor I

there is not person meet this question?

0 Kudos